import * as z from 'zod';
import { CommunicationChannelSchema } from '../../enums/CommunicationChannel.schema';
import { CommunicationDirectionSchema } from '../../enums/CommunicationDirection.schema';
import { CommunicationStatusSchema } from '../../enums/CommunicationStatus.schema';
// prettier-ignore
export const CommunicationResultSchema = z.object({
    id: z.number().int(),
    patientId: z.number().int(),
    userId: z.number().int().nullable(),
    channel: CommunicationChannelSchema,
    direction: CommunicationDirectionSchema,
    status: CommunicationStatusSchema,
    body: z.string().nullable(),
    callDuration: z.number().int().nullable(),
    twilioSid: z.string().nullable(),
    createdAt: z.date(),
    patient: z.unknown(),
    user: z.unknown().nullable()
}).strict();

export type CommunicationResultType = z.infer<typeof CommunicationResultSchema>;
